# lepton-pcb_backannotate

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXIT STATUS
BUGS
AUTHOR
SEE ALSO
COPYRIGHT

## NAME

lepton-pcb_backannotate - back-annotates changes from a PCB annotation file to schematic

## SYNOPSIS

lepton-pcb_backannotate -h|--help

lepton-pcb_backannotate -V|--version

lepton-pcb_backannotate [options] ecofile.eco infile1.sch ...

## DESCRIPTION

The lepton-pcb_backannotate program reads an engineering change order (ECO) file generated by the PCB program (using the Renumber() action) and back-annotates the requested changes to a lepton-schematic schematic(s). Currently it supports back annotation of reference designators (refdes).

## OPTIONS

-h, --help

prints help message and exits

-n, --nocopy

Leave the modified schematic files in new files whose names are generated by appending .new to the original file names. The default is to overwrite the original.

-v, --verbose

operate verbosely

-V, --version

prints version information and exits

## EXIT STATUS

lepton-pcb_backannotate will return 0 if all files processed successfully, non-zero if the command did not complete successfully.

## BUGS

Rather than parsing and processing schematic files directly, this utility should be rewritten using the Lepton EDA scheme API. This would take advantage of the existing parsers for the schematic files.

## AUTHOR

Dan McMahill <danmcmahill@netbsd.org>

## SEE ALSO

lepton-netlist(1), lepton-schematic(1), pcb(1)

## COPYRIGHT

Copyright © 2003, 2006, 2010 Dan McMahill.
Copyright © 2003-2014 gEDA Contributors.
Copyright © 2018-2022 Lepton EDA Contributors.
License GPLv2+: GNU GPL version 2 or later. Please see the ’COPYING’
file included with this program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.